# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN/Reporter/Config.pm) perl(Carp.pm) perl(Cwd.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Test/Reporter.pm) perl(Test/Reporter/Transport/File.pm) perl(Test/Reporter/Transport/Metabase.pm) perl(parent.pm) perl(strict.pm)
# END SourceDeps(oneline)
%define module_name Test-Reporter-Transport-Metabase-Fallback
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.001
Release: alt1
Summary: Metabase transport for Test::Reporter with fallback to File transport
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/ST/STRO/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module creates a fallback mechanism for Test::Reporter Metabase
instance, combining the Test::Reporter::Transport::File manpage and
the Test::Reporter::Transport::Metabase manpage functionality.

Whenever Metabase submission fails, the report file is saved locally.
When the next report is successfully submitted to Metabase, all queued
reports are submitted along with it.

"max_files" parameter specifies how many reports are sent from the queue
during the regular submission. Default value is 25. You may want to
increase it if you're running a smoker or decrease it if you don't want to
wait for too long during the casual CPAN shell usage. Keep in mind that
your queue is only processed when a report is being sent so if you're using
CPAN shell irregularly, a small number may keep some reports sitting in a
queue for a very long time.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE CHANGES
%perl_vendor_privlib/T*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.001-alt1
- initial import by package builder

